package com.ruoyi.cms.cron;

import com.ruoyi.cms.mapper.JobMapper;
import com.ruoyi.cms.service.IBussinessOperLogService;
import com.ruoyi.cms.service.ICompanyService;
import com.ruoyi.cms.service.IESJobSearchService;
import com.ruoyi.cms.service.IJobService;
import com.ruoyi.common.utils.spring.SpringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;


public class JobCron {
    public void isHot(){
        SpringUtils.getBean(JobMapper.class).isHot();
    }
    public void resetEs(){
        SpringUtils.getBean(IESJobSearchService.class).resetTextCache();
    }
    //查看索引是否存在，如果不存在，就更新
    public void checkEsAndFix(){
        SpringUtils.getBean(IESJobSearchService.class).checkEsAndFix();
    }
    //更新公司的招聘数量
    public void updateJobCountOfCompany(){
        SpringUtils.getBean(ICompanyService.class).updateJobCountOfCompany();
    }
    //下架过期岗位
    public void updateJobDown(){SpringUtils.getBean(IJobService.class).updateJobDown();}
}
